Bug 478430 - cannot create directory in NFS shared directory even with permissions which allow it
cannot create directory in NFS shared directory even with permissions which a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 17:40 EST by Vladimir Kotal
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of nautilus window demonstrating the problem (49.19 KB, image/png)
2009-03-31 16:11 EDT, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2008-12-29 17:40:53 EST
Description of problem:

I have a NFS share automounted to Fedora box. The permissions on a directory
say the following:

$ ls -ald /net/chiba/Sound/Spoken
drwxrwsr-x 13 root lidi 16 29. pro 23.27 /net/chiba/Sound/Spoken

but nautilus does not allow to create a directory inside /net/chiba/Sound/Spoken directory when the user performing this action is member of the group 'lidi'. In fact, it marks this folder with a lock icon. Creation of the directory succeeds in terminal.

Version-Release number of selected component (if applicable):

nautilus-2.24.2-1.fc10.i386
nautilus-extensions-2.24.2-1.fc10.i386

How reproducible:

try to create directory in NFS shared directory.

Steps to Reproduce:
1. switch to the NFS shared directory in nautilus
2. try to create a directory (right click in the window)
  
Actual results:

nautilus does not allow to create the directory (the menu item is not highlighted)

Expected results:

nautilus should allow to create the directory.

Additional info:

relevant output of 'mount':

chiba:/Sound/Spoken on /net/chiba/Sound/Spoken type nfs (rw,nosuid,nodev,sloppy,addr=10.0.1.54)
Comment 1 Vladimir Kotal 2008-12-30 05:01:48 EST
One important note: 'lidi' is secondary group.
Comment 2 Alexander Larsson 2009-03-31 05:10:40 EDT
Looks similar to bug 492675.
I don't know why this happens though. 
To decide if we can write in the directory we call access() on the directory, so this means the kernel seems to say we're not allowed to write...
Comment 3 Vladimir Kotal 2009-03-31 16:01:03 EDT
There is something wrong in Nautilus. Such directory is displayed with a lock on it. When I right click on it and select the Permissions tab it lists root:root. When I do 'ls' in terminal, it lists the owner and permissions correctly.

One (maybe important) factor that this directory is a mount point.
Comment 4 Vladimir Kotal 2009-03-31 16:09:38 EDT
By doing strace on nautilus process it can be proved that the problem indeed lies in nautilus:

lstat64("/net/chiba/Sound/Ruzne", {st_dev=makedev(0, 47), st_ino=3, st_mode=S_IF
DIR|S_ISGID|0775, st_nlink=6, st_uid=0, st_gid=502, st_blksize=1048576, st_block
s=3, st_size=10, st_atime=2009/03/31-22:03:30, st_mtime=2009/03/31-20:59:08, st_
ctime=2009/03/31-20:59:08}) = 0

In terminal the directory looks like this:

$ ls -ald /net/chiba/Sound/Ruzne
drwxrwsr-x 6 root lidi 10 31. bře 20.59 /net/chiba/Sound/Ruzne
$ ls -aldn /net/chiba/Sound/Ruzne
drwxrwsr-x 6 0 502 10 31. bře 20.59 /net/chiba/Sound/Ruzne

I will attach a screenshot showing the problem in Nautilus.
Comment 5 Vladimir Kotal 2009-03-31 16:11:39 EDT
Created attachment 337400 [details]
screenshot of nautilus window demonstrating the problem

the window is localized by the point is clear - root:root is not the correct ownership
Comment 6 Alexander Larsson 2009-04-02 09:23:42 EDT
Weird. Can you try:
gvfs-info -a "*" /net/chiba/Sound/Ruzne
Comment 7 Vladimir Kotal 2009-04-02 14:34:46 EDT
It's caused by automount. On a rebooted system when /net/chiba/Sound/Ruzne is not yet mounted:

$ gvfs-info -a "*" /net/chiba/Sound/Ruzne
display name: Ruzne
edit name: Ruzne
name: Ruzne
type: directory
size: 0
attributes:
  standard::name: Ruzne
  standard::type: 2
  standard::size: 0
  standard::display-name: Ruzne
  standard::edit-name: Ruzne
  standard::copy-name: Ruzne
  standard::content-type: inode/directory
  standard::icon: GThemedIcon:0x8f83a08
  standard::fast-content-type: inode/directory
  unix::device: 33
  unix::inode: 10598
  unix::nlink: 2
  unix::uid: 0
  unix::gid: 0
  unix::rdev: 0
  unix::mode: 16877
  unix::block-size: 1024
  unix::blocks: 0
  unix::is-mountpoint: TRUE
  time::modified: 1238696944
  time::modified-usec: 516196
  time::access: 1238696944
  time::access-usec: 517194
  time::changed: 1238696944
  time::changed-usec: 516196
  etag::value: 1238696944:516196
  id::file: l33:10598
  id::filesystem: l33
  owner::user: root
  owner::user-real: root
  owner::group: root
  access::can-read: TRUE
  access::can-write: FALSE
  access::can-execute: TRUE
  access::can-rename: TRUE
  access::can-delete: TRUE
  access::can-trash: TRUE
$ ls -ald /net/chiba/Sound/Ruzne
drwxr-xr-x 2 root root 0  2. dub 20.29 /net/chiba/Sound/Ruzne

After the directory is listed (and hence mounted):

$ ls -ald /net/chiba/Sound/Ruzne
drwxrwsr-x 6 root lidi 10 31. bře 20.59 /net/chiba/Sound/Ruzne
$ gvfs-info -a "*" /net/chiba/Sound/Ruzne
display name: Ruzne
edit name: Ruzne
name: Ruzne
type: directory
size: 10
attributes:
  standard::name: Ruzne
  standard::type: 2
  standard::size: 10
  standard::display-name: Ruzne
  standard::edit-name: Ruzne
  standard::copy-name: Ruzne
  standard::content-type: inode/directory
  standard::icon: GThemedIcon:0x95e7a08
  standard::fast-content-type: inode/directory
  unix::device: 43
  unix::inode: 3
  unix::nlink: 6
  unix::uid: 0
  unix::gid: 502
  unix::rdev: 0
  unix::mode: 17917
  unix::block-size: 1048576
  unix::blocks: 3
  unix::is-mountpoint: TRUE
  time::modified: 1238525948
  time::modified-usec: 993560
  time::access: 1238697105
  time::access-usec: 982154
  time::changed: 1238525948
  time::changed-usec: 993560
  etag::value: 1238525948:993560
  id::file: l43:3
  id::filesystem: l43
  owner::user: root
  owner::user-real: root
  owner::group: lidi
  access::can-read: TRUE
  access::can-write: TRUE
  access::can-execute: TRUE
  access::can-rename: TRUE
  access::can-delete: TRUE
  access::can-trash: TRUE

/net/chiba/Sound and /net/chiba/Sound/Ruzne are separate NFS mounts.
Comment 8 Alexander Larsson 2009-04-03 04:42:34 EDT
I see. It doesn't get mounted when you stat it, only when you list it. I don't really know a good way to solve that.

Does reloading the directory in nautilus fix it?
Comment 9 Vladimir Kotal 2009-04-18 14:09:53 EDT
Yes, reloading could be used as a workaround.
Comment 10 Bug Zapper 2009-11-18 05:35:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 02:26:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.